Autumn's V2 API is live in beta. We recommend using this version.
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_slug: '<string>', env: 'test', redirect_url: '<string>'})
};
fetch('https://api.useautumn.com/v1/platform/oauth_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"oauth_url": "<string>"
}Generates a Stripe Connect OAuth URL for a platform organization. Use this to allow your tenants to connect their Stripe accounts.
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organization_slug: '<string>', env: 'test', redirect_url: '<string>'})
};
fetch('https://api.useautumn.com/v1/platform/oauth_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"oauth_url": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs-v1.useautumn.com/llms.txt
Use this file to discover all available pages before exploring further.
oauth_urlredirect_urlredirect_url will receive query parameters:
success=true or success=falsemessage=... (if error occurred)Autumn API key with Bearer prefix
OAuth URL generated successfully
Stripe Connect OAuth URL to redirect the user to.